org.apache.ignite.internal.processors.securesession

## Class GridSecureSession

- java.lang.Object
- - org.apache.ignite.internal.processors.securesession.GridSecureSession

    public class GridSecureSession
    extends Object

Secure session object.

### Constructor Summary

Constructors
Constructor and Description
`GridSecureSession(GridSecurityContext authSubjCtx, byte[] sesTok)`

### Method Summary

Methods
`GridSecurityContext` `authenticationSubjectContext()`
`byte[]` `sessionToken()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridSecureSession

    public GridSecureSession(GridSecurityContext authSubjCtx,
                     byte[] sesTok)

Parameters:
  `authSubjCtx` - Authentication subject context.
  `sesTok` - Session token.

### Method Detail

#### authenticationSubjectContext

    public GridSecurityContext authenticationSubjectContext()

Returns:
  Authentication subject context returned by authentication SPI.

#### sessionToken

    public byte[] sessionToken()

Returns:
  Session creation time.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015